<?php

namespace App\Service;

use Twig\Extension\RuntimeExtensionInterface;

class EnSalle implements RuntimeExtensionInterface
{
    const NB_JOURS_EN_SALLE = 20;
    const NB_JOURS_BIENTOT  = 36;

    // Afficher si le film est sorti depuis moins de NB_JOURS_EN_SALLE jours
    public function enSalle(?\DateTimeImmutable $dateSortie): bool
    {
        if (!$dateSortie) {
            return false;
        }
        $interval = new \DateInterval('P' . self::NB_JOURS_EN_SALLE . 'D');
        $dateLimite = $dateSortie->add($interval);
        $date = new \DateTime('now');
        return ( $date <= $dateLimite && $date >= $dateSortie);
    }

    public function bientotEnSalle(?\DateTimeImmutable $dateSortie): bool
    {
        if (!$dateSortie) {
            return false;
        }
        $interval = new \DateInterval('P' . self::NB_JOURS_BIENTOT . 'D');
        $interval->invert = 1;
        $dateLimite = $dateSortie->add($interval);
        $date = new \DateTime('now');
        return ( $date >= $dateLimite && $date < $dateSortie );
    }
}